:root {
  --primary-color: #ffbc00;
  --second-color: #d69400;
  --background-color: #1c1c1c;
  --text-color: #f9f9f9;
  --border-radius: 8px;
  --button-bg: #ffbc00;
  --button-hover-bg: #d69400;
  --button-text-color: #fff;
  --background-gray-input: #2c2c2c; 
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  overflow-x: hidden;
  scrollbar-width: thin; 
  scrollbar-color: var(--primary-color) transparent;
}


::-webkit-scrollbar {
  width: 8px; 
}

::-webkit-scrollbar-track {
  background: transparent;
}

::-webkit-scrollbar-thumb {
  background: var(--primary-color); 
}

::-webkit-scrollbar-thumb:hover {
  background: #d69400;
}

body {
  background-color: var(--background-color);
  color: var(--text-color);
  font-family: "Arial", sans-serif;
  height: auto; 
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-direction: column;
  padding: 2rem 0;
}

header {
  width: 100%;
  text-align: center;
  margin-bottom: 2rem;
}

section {
  max-width: 480px;
  width: 100%;
  margin: 0 auto;
  background-color: #333;
  border-radius: var(--border-radius);
  padding: 1rem 2rem;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

input {
  background-color: var(--background-gray-input) !important;
  color: var(--text-color) !important;
}

.form-label {
  margin-bottom: 0 !important;
}

input:focus {
  border-color: var(--primary-color) !important;
  box-shadow: 0 0 0 0.2rem rgba(214, 148, 0, 0.25) !important;
}

textarea {
  border: 1px solid var(--primary-color) !important;
  border-radius: var(--border-radius) !important;
  padding: 0.75rem;
  font-size: 16px;
  background-color: var(--background-gray-input);
  color: var(--text-color);
}

textarea:focus {
  box-shadow: 0 0 0 0.2rem rgba(214, 148, 0, 0.25) !important;
  outline: none !important;
}

.link {
  display: none;
  margin-top: 1rem;
  padding: 1rem;
  border-radius: var(--border-radius);
  border: 1px solid var(--primary-color);
  background-color: var(--background-gray-input);
}

#generated-link {
  color: var(--text-color);
  word-break: break-all;
}

#copy-confirmation {
  color: var(--primary-color);
  display: none;
  margin-top: 1rem;
}

.information {
  margin-top: 1rem;
  padding: 1rem;
  border-radius: var(--border-radius);
  border: 1px solid var(--primary-color);
  background-color: var(--background-gray-input);
}

.information pre {
  white-space: pre-wrap; 
  word-wrap: break-word; 
}

pre {
  margin-bottom: 0px !important;
  font-size: 1rem !important;
  font-family: "Arial", sans-serif !important;
}

.font-error {
  font-size: 25px;
  margin-bottom: 0;
  text-align: center;
}

.loading-button {
  display: none;
}

.text-button-not-loading {
  display: block;
}

.copyContent {
  background: transparent;
  border: none;
  margin-left: .5rem;
}

.copyContent svg {
  color: var(--primary-color);
}

footer {
  font-weight: bold;
  padding-top: 1rem;
  text-align: center;
  font-size: 12px;
  max-width: 480px;
  margin: 0 auto;
}